Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot
Class Series

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.plugins.simulation.plot.Series

public class Series
extends com.beanexplorer.beans.Option

Field Summary
`protected java.lang.String` | `legend`
`protected java.lang.String` | `name`
`protected java.lang.String` | `plotName`
`protected java.lang.String` | `simulationResult`
`protected java.lang.String` | `spec`
`protected java.lang.String` | `xVar` Name of variable in simulation result set that is used as X variable.
`protected java.lang.String` | `yVar` Name of variable in simulation result set that is used as Y variable.

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Series()`
`Series(java.lang.String name)`

Method Summary
`java.lang.String` | `getLegend()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlotName()`
`java.lang.String` | `getSimulationResult()`
`java.lang.String` | `getSpec()`
`java.lang.String` | `getXVar()`
`java.lang.String` | `getYVar()`
`void` | `setLegend(java.lang.String legend)`
`void` | `setName(java.lang.String name)`
`void` | `setPlotName(java.lang.String plotName)`
`void` | `setSimulationResult(java.lang.String simulationResult)`
`void` | `setSpec(java.lang.String spec)`
`void` | `setXVar(java.lang.String xVar)`
`void` | `setYVar(java.lang.String yVar)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### plotName

    protected java.lang.String plotName

### spec

    protected java.lang.String spec

### legend

    protected java.lang.String legend

### xVar

    protected java.lang.String xVar

  Name of variable in simulation result set that is used as X variable.

### yVar

    protected java.lang.String yVar

  Name of variable in simulation result set that is used as Y variable.

### simulationResult

    protected java.lang.String simulationResult

Constructor Detail

### Series

    public Series()

### Series

    public Series(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPlotName

    public java.lang.String getPlotName()

### setPlotName

    public void setPlotName(java.lang.String plotName)

### getSpec

    public java.lang.String getSpec()

### setSpec

    public void setSpec(java.lang.String spec)

### getLegend

    public java.lang.String getLegend()

### setLegend

    public void setLegend(java.lang.String legend)

### getXVar

    public java.lang.String getXVar()

### setXVar

    public void setXVar(java.lang.String xVar)

### getYVar

    public java.lang.String getYVar()

### setYVar

    public void setYVar(java.lang.String yVar)

### getSimulationResult

    public java.lang.String getSimulationResult()

### setSimulationResult

    public void setSimulationResult(java.lang.String simulationResult)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.